specVersion: 0.0.4
schema:
  file: schema.graphql
dataSources:
  - kind: ethereum/contract
    name: RouteProcessor
    network: mainnet
    source:
      address: "0x1f2fcf1d036b375b384012e61d3aa33f8c256bbe"
      startBlock: 3685230
      abi: RouteProcessor
    mapping:
      kind: ethereum/events
      apiVersion: 0.0.6
      language: wasm/assemblyscript
      file: RouteProcessor/RouteProcessor.wasm
      entities: []
      abis:
        - name: RouteProcessor
          file: RouteProcessor/abis/RouteProcessor3.json
      eventHandlers:
        - event: Route(indexed address,address,indexed address,indexed
            address,uint256,uint256,uint256)
          handler: handleRoute
